For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assessments

Get Assessments

get

Get a list of assessments produced for your organisation or produced by your organisation.

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
assessmentstringOptional

Comma separated assessment IDs

Example: cllks38mw000131wh9ukgjc4g
propertystringOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
typestringOptional

Comma separated assessment types
See GET /assessments/types

Example: {"value":"cm65bkfml00kpyjwh84eword,cm65bkfml00koyjwhqz38xwa"}
performedstringOptional

For: list assessments produced for your organisation. By: list assessments produced by your organisation

Default: For,ByExample: {"value":"For"}
statusstringOptional

Comma separated assessment statuses

Default: approvedExample: {"value":"inprogress,submitted,approved"}
includeflagsbooleanOptional

Include assessment flags and their history

Default: false
Responses
200Success
application/json
totalintegerOptionalExample: 9231
get/assessments
200Success

Get Assessment Types

get
Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Responses
200Success
application/json
get/assessments/types
200Success

Get Assessment Report PDF

get

Get an assessment's report PDF

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Responses
200Success
application/pdf
stringOptional
get/assessments/{assessmentId}/report.pdf
200Success

Get Assessment Bundle ZIP

get

Get an assessment's bundle ZIP. This bundle contains: • Report PDF • CSVs of actions, controls, and elements • Assessment attachments • Images and files for actions, controls, and elements

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
assessmentIdstring · UIDRequired
Responses
200Success
application/zip
stringOptional
get/assessments/{assessmentId}/bundle.zip
200Success

Get Assessment Schedules

get

Get a list of assessment schedules

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Query parameters
limitinteger · min: 1 · max: 1000OptionalDefault: 1000
pageintegerOptionalDefault: 1
propertystring · UIDOptional

Comma separated property IDs

Example: cksq4ybpq104zwgwh2gd1vvha
assetstringOptionalDeprecated

Use property instead

typestring · UIDOptional

Comma separated assessment types
See GET /assessments/types

Example: {"value":"cm65bkfml00kpyjwh84eword,cm65bkfml00koyjwhqz38xwa"}
statusstring · enumOptional

Comma separated schedule statuses

Default: notstarted,inprogressExample: {"value":"notstarted"}Possible values:
Responses
200Success
application/json
totalintegerOptionalExample: 1
get/assessments/schedules
200Success

Get Assessment Schedule

get

Get a property's assessment schedule for a particular assessment type

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertystring · UIDRequired

The schedule's property ID

typestring · UIDRequired

The schedule's assessment type ID

Responses
200Success
application/json
propertystring · UIDOptional

ID of property this schedule belongs to

assetstring · UIDOptionalDeprecated

Use property instead

typestring · UIDOptional

See GET /assessments/types

statusstring · enumOptionalPossible values:
dueDatedate · Y-m-dOptional
descriptionstringOptional
customReferencestringOptional
assignedUsersstring · UID[]Optional
get/assessments/schedules/{property}/{type}

Create/Update Assessment Schedule

put

Update a property's assessment schedule if it exists, otherwise create it

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertystring · UIDRequired

The schedule's property ID

typestring · UIDRequired

The schedule's assessment type ID

Body
dueDatedate · Y-m-dOptionalExample: 2025-06-01
descriptionstringOptionalExample: Information for assessment author
customReferencestringOptional

The schedule's custom reference will appear on the assessment as scheduleCustomReference in GET /assessments

Example: MyAseSchRef0001
assignedUsersstring · UID[]OptionalExample: ["cksq4xkxh012173wh9agrq0iz"]
Responses
204Success
put/assessments/schedules/{property}/{type}

Delete Assessment Schedule

delete

Delete a property's assessment schedule

Authorizations
AuthorizationstringRequired

Authorization: Bearer {AuthorizationToken}

Path parameters
propertystring · UIDRequired

The schedule's property ID

typestring · UIDRequired

The schedule's assessment type ID

Responses
204Success
delete/assessments/schedules/{property}/{type}

Last updated

Was this helpful?